Summary:        SIL Abyssinica Fonts
Name:           sil-abyssinica-fonts
Version:        1.200
Release:        6%{?dist}
License:        OFL-1.1
URL:            https://software.sil.org/abyssinica/
Source0:        https://software.sil.org/downloads/r/abyssinica/AbyssinicaSIL%{version}.zip
Source1:        66-sil-abyssinica-fonts.conf
BuildRequires:  fontpackages-devel dos2unix
Requires:       fontpackages-filesystem

BuildArch:      noarch

%description
Abyssinica SIL is based on Ethiopic calligraphic traditions.
The Ethiopic script is used for writing many of the languages of Ethiopia and Eritrea.

%prep
%autosetup -n AbyssinicaSIL-%{version} -p1

%build
%install
find -iname "*.txt" -exec dos2unix {} \;

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/
ln -s %{_fontconfig_templatedir}/66-sil-abyssinica-fonts.conf \
      %{buildroot}%{_fontconfig_confdir}/66-sil-abyssinica-fonts.conf

%files
%license  OFL.txt
%doc FONTLOG.txt OFL-FAQ.txt README.txt
%{_fontconfig_templatedir}/*.conf
%{_fontconfig_confdir}/*.conf
%{_fontbasedir}/%{name}/*.ttf

%changelog
* Fri Jul 19 2024 Miaojun Dong <zoedong@tencent.com> - 1.200-6
- Update URL

* Wed Sep 13 2023 rockerzhu <rockerzhu@tencent.com> - 1.200-5
- Rebuilt for fontconfig to privode font(:lang=)

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.200-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.200-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.200-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 14 2022 Shuo Wang <abushwang@tencent.com> - 1.200-1
- initial build
